﻿
Public Class frmHotTubCalc
    'Program: Hot Tub Area / Circumference Calculator
    'Author: Ian Comings
    'Date: July 12th 2013
    'Purpose: Calculate the Area and Circumference from dimensions given in Feet and Inches




    Private Sub btnExit_Click(sender As System.Object, e As System.EventArgs) Handles btnExit.Click
        'Close the window and application
        Close()
    End Sub

    Private Sub btnCalculate_Click(sender As System.Object, e As System.EventArgs) Handles btnCalculate.Click
        'This event handler is executed when the user clicks the Calculate button.
        'It calculates the Area and Circumference from the given Feet and Inches.
        'Current step involves taking the content of the text boxes and
        'converting them to doubles.
        Dim strRadiusNumberofFeet As String
        Dim strRadiusNumberofInches As String
        strRadiusNumberofFeet = Convert.ToDouble(txtRadiusNumberOfFeet.Text)
        strRadiusNumberofInches = Convert.ToDouble(txtRadiusNumberOfInches.Text)
        Dim intRadiusInches As Integer
        Dim Area As Integer
        Dim Circumference As Integer
        'Convert Feet to Inches for use in equations for Area
        intRadiusInches = (strRadiusNumberofFeet * 12) + strRadiusNumberofInches
        Dim strDiameterFeet As String
        Dim strDiameterInches As String
        'Convert Strings to Doubles
        strDiameterFeet = Convert.ToDouble(txtDiameterNumberofFeet.Text)
        strDiameterInches = Convert.ToDouble(txtDiameterNumberofInches.Text)
        Dim intDiameterinches As Integer
        'Convert Feet to inches for use in equations for Circumference
        intDiameterinches = (strDiameterFeet * 12) + strDiameterInches
        'Here are the Equations being computed
        Area = Math.PI * Math.Pow(intRadiusInches, 2)
        Circumference = (Math.PI * intDiameterinches)
        Dim AreaRadius As String
        Dim CircumferenceDiameter As String
        'Here we are rounding the answers to the 2nd decimal place
        AreaRadius = Math.Round(Area, 2)
        CircumferenceDiameter = Math.Round(Circumference, 2)
        'We are displaying the results
        lblTotalArea.Text = AreaRadius
        lblTotalCircumference.Text = CircumferenceDiameter

    End Sub

    Private Sub btnClear_Click(sender As System.Object, e As System.EventArgs) Handles btnClear.Click
        'This event handler is executed when the user clicks the Clear button. It clears the Dimensions in Feet and Inches boxes and the text property for
        'the Total Area and Total Circumference. Then it sets the focus to the Number of Feet box.
        txtRadiusNumberOfFeet.Clear()
        lblTotalArea.Text = ""
        txtRadiusNumberOfInches.Clear()
        lblTotalCircumference.Text = ""
        txtRadiusNumberOfFeet.Focus()
        txtDiameterNumberofFeet.Clear()
        txtDiameterNumberofInches.Clear()

    End Sub

    Private Sub frmHotTubCalc_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        'This event handler is executed when the form is loaded.
        'It clears the text property of the Total Area and Total Circumference Label and sets the focus on the Number of Feet box.

        lblTotalArea.Text = ""
        lblTotalCircumference.Text = ""
        txtRadiusNumberOfFeet.Focus()

    End Sub

    
End Class
  